Page MenuHomePhabricator

Add info to Wikimania Hackathon wikipage
Closed, ResolvedPublic

Description

Wikimania Hackathon in Montreal is coming soon!

https://wikimania2017.wikimedia.org/wiki/Hackathon

I need to add information to the wikimania hackathon wikipage do this soon. @Qgil and @srishakatux any thoughts besides community wishlist and developer wishlist?
The overall theme of wikimania is going to be Wikimedia's smaller projects.

I will be adding this info to the wiki later this week, maybe Friday? So any thoughts before then would be helpful

Event Timeline

Rfarrand created this task.Feb 1 2017, 9:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2017, 9:27 PM

I need to add information to the wikimania hackathon wiki do this soon.

AFAIK there is no "Hackathon wiki" so I guess you refer to the page https://wikimania2017.wikimedia.org/wiki/Hackathon

I will be adding this info to the wiki later this week, maybe Friday?

Sounds like a task for this quarter, hence moving there.

Rfarrand lowered the priority of this task from High to Normal.Feb 8 2017, 10:54 PM

I have added some rough information to the page
https://wikimania2017.wikimedia.org/wiki/Hackathon

I have also sent some questions to the main Wikimania organizers so I can add in some more detail.

Until I get that back I will lower the priority of this task as getting the initial information was the high priority but I can not close the task yet.

Qgil added a comment.Feb 15 2017, 3:08 PM

(Side comment: time to create a... #Wikimania-Hackathon project umbrella and a WDS-2017 milestone?)

Quiddity renamed this task from Add info to Wikimania Hackathon wiki to Add info to Wikimania Hackathon wikipage.Jun 23 2017, 9:24 PM
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Qgil added a comment.Jul 7 2017, 6:17 AM

Thoughts based on our Developer Relations meeting yesterday:

Currently https://wikimania2017.wikimedia.org/wiki/Hackathon has two sections that overlap: "Focus Areas" and "Program and Schedule Information". A clearer and cleaner division could be

  • "Featured Projects", activities that participants can take / join at any time with the goal of producing something.
    • Developer Relations will propose some projects beforehand. Andre will check which Featured Projects will have mentors available at the Hackathon. Srishti will update the list of tasks from T169709.
    • We need clear instructions to propose an promote other projects or tasks that attendees want to announce.
    • We need to decide how this information will be presented in the Hackathons page. Maybe projects and tasks are already listed there, or maybe we direct them to a specific page... What we agree is that throuwing newcomers to a Phabricator board is too prone to failure.
  • "Schedule", activities happening at a specific time and place with the goal of learning or discussing something.
    • We need to create a schedule and start scheduling the sessions that we know will be organized.
    • We need clear instructions to schedule other sessions.
    • All this implies information about rooms available.

We need to clarify who owns Featured Projects at the Hackathon and who owns the Schedule.

Between now and until two weeks before the hackathon, the information on the hackathon page could be all under one section (adapting from the Wikimania Hackathon page). Something like:

Contribute to the Program
Propose a session, skillshare, project or sprint:

  • Proposed Sessions - Session covering any of the Wikimedia’s technical areas
  • Skill Share - Hands-on skill development workshops on topics around technology stack of Wikimedia projects
  • Featured Projects - List of projects that are suitable for volunteers
  • Sprints - List of activities that require making progress in a specific area of your project (e.g. documentation, translation, design, etc. ). Get together with a group of people for a set amount of time and help get stuff done.
  • Backlog -If you don't know where to list your task, add it her, and we will help you.

For any of the items listed above, create a task on Phabricator, add Wikimania-Hackathon-2017 tag, and import it to the respective column on the workboard.

For featured projects, if we are not redirecting participants to the page Andre is working on, only then we collect projects and corresponding tasks in a Phabricator task, point of contact, etc. Also, add to this task, information about projects, and links to tasks that people want to showcase, and have reached out to us already about them in the email. Also, ask project members to let us know which tasks are newcomer-friendly.

Two weeks before the hackathon, we promote all activities requiring active participation such as “Featured Projects,” “Sprints” and anything else under “Focus Areas,” and schedule remains separate.

@srishakatux I would be grateful if you could just go ahead and add that! We can adjust later as needed but getting info up at all now is important!
I can work on the actual program pretty soon. I am just getting a few more details about the room set-ups and uses.

Separately: It struck me that this is a really good example of an event page:
https://mozillafestival.org/

Proposing a session is front and center. Its simple. The what to expect sections is highlighted and there are good photos of the people involved. Registration is at the bottom which is actually cool because that is the one thing everyone is expecting / looking for so in this case they will at least scroll past the rest to get to it.

Qgil added a comment.Jul 12 2017, 8:39 PM

Separately: It struck me that this is a really good example of an event page:
https://mozillafestival.org/

And it has pictures of real people, which we have many time said that it one of the best ways to get newcomers interested and actually making the decision to come. Good example.

Yes, and for both Vienna and Wikimania we have/had photos up too!

Qgil added a comment.Jul 13 2017, 7:50 AM

I meant pictures of speakers or key participants in the main page of these events.

Quiddity closed this task as Resolved.Aug 10 2017, 6:54 PM